WeaponComponentHudStats refer: https://github.com/citizenfx/fivem/blob/master/code/client/clrcore/External/Game.cs#L976 [StructLayout(LayoutKind.Explicit, Size = 0x28)] [SecuritySafeCritical] internal struct UnsafeWeaponComponentHudStats { [FieldOffset(0x00)] private int hudDamage; [FieldOffset(0x08)] private int hudSpeed; [FieldOffset(0x10)] private int hudCapacity; [FieldOffset(0x18)] private int hudAccuracy; [FieldOffset(0x20)] private int hudRange;

### Hierarchy

- WeaponComponentHudStats

## Index

### Properties

- hudAccuracy
- hudCapacity
- hudDamage
- hudRange
- hudSpeed

## Properties

### hudAccuracy

hudAccuracy: number

- Defined in weaponComponent/WeaponComponentHudStats.ts:23

### hudCapacity

hudCapacity: number

- Defined in weaponComponent/WeaponComponentHudStats.ts:22

### hudDamage

hudDamage: number

- Defined in weaponComponent/WeaponComponentHudStats.ts:20

### hudRange

hudRange: number

- Defined in weaponComponent/WeaponComponentHudStats.ts:24

### hudSpeed

hudSpeed: number

- Defined in weaponComponent/WeaponComponentHudStats.ts:21

Generated using TypeDoc